[manager]
ratio          = [1, 3, 4]   # proportions : parents | dossier | preview
sort_by        = "natural"
sort_sensitive = false
sort_hidden    = false
show_hidden    = false
show_symlink   = true

[preview]
tab_size   = 2
max_width  = 600
max_height = 900

[opener]
edit = [
  { run = '${EDITOR:-nano} "$@"', block = true },
]
open = [
  { run = 'xdg-open "$@"', orphan = true },
]
reveal = [
  { run = 'xdg-open "$(dirname "$1")"', orphan = true },
]

[open]
rules = [
  { mime = "text/*",           use = "edit" },
  { mime = "image/*",          use = "open" },
  { mime = "video/*",          use = "open" },
  { mime = "audio/*",          use = "open" },
  { mime = "application/pdf",  use = "open" },
  { mime = "application/json", use = "edit" },
  { mime = "*/xml",            use = "edit" },
  { name = "*.md",             use = "edit" },
  { name = "*.yml",            use = "edit" },
  { name = "*.yaml",           use = "edit" },
  { name = "*.toml",           use = "edit" },
  { name = "*.conf",           use = "edit" },
  { name = "*.sh",             use = "edit" },
]

[plugin]
prepend_previewers = [
  # Image preview via kitty protocol (native dans kitty)
  { mime = "image/*", run = "image" },
]
